com.smartgwt.client.widgets.events

## Interface HasMouseOverHandlers

- All Superinterfaces:
    HasHandlers
  All Known Implementing Classes:
    ActiveXControl, AdvancedHiliteEditor, Applet, BatchUploader, BrowserPlugin, Button, Calendar, CalendarView, Canvas, ColorPicker, ColumnTree, CubeGrid, DateChooser, DateGrid, DateRangeDialog, DetailViewer, Dialog, DrawKnob, DrawPane, DynamicForm, EdgedCanvas, EditPane, EditTree, EventCanvas, EventWindow, FacetChart, FieldPicker, FieldPickerWindow, FilterBuilder, FilterClause, Flashlet, FlowLayout, Gauge, GridRenderer, HeaderControl, HiliteEditor, HiliteRule, HLayout, HStack, HTMLFlow, HTMLPane, IButton, IconButton, IconMenuButton, IMenuButton, Img, ImgButton, ImgSectionHeader, ImgSplitbar, ImgTab, IndicatorCanvas, Label, Layout, LayoutSpacer, ListGrid, ListPalette, ListPropertiesDialog, ListPropertiesPane, Menu, MenuBar, MenuButton, MenuPalette, MiniNavControl, MultiFilePicker, MultiGroupDialog, NavigationBar, NavigationButton, PortalLayout, Portlet, PrintCanvas, PrintWindow, Progressbar, PropertySheet, RangeSlider, RecordEditor, RibbonBar, RibbonGroup, RichTextEditor, Scrollbar, SearchForm, SectionHeader, SectionStack, SelectionTreeMenu, SimpleTile, Slider, Snapbar, Splitbar, SplitPane, StatefulCanvas, StretchImg, StretchImgButton, SVG, TabBar, TableView, TabSet, TileGrid, TileLayout, TilePalette, Timeline, Toolbar, ToolStrip, ToolStripButton, ToolStripGroup, ToolStripMenuButton, ToolStripResizer, ToolStripSeparator, TransferImgButton, TreeGrid, TreeMenuButton, TreePalette, ViewLoader, VLayout, VStack, WidgetCanvas, Window, ZoneCanvas

      public interface HasMouseOverHandlers
      extends HasHandlers

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HandlerRegistration` | `addMouseOverHandler(MouseOverHandler handler)` Executed when mouse enters this widget.

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Method Detail

    - #### addMouseOverHandler

          HandlerRegistration addMouseOverHandler(MouseOverHandler handler)

      Executed when mouse enters this widget. No default implementation.
      Parameters:
        `handler` - the mouseOver handler
      Returns:
        `HandlerRegistration` used to remove this handler